# 86. Запит: Отримати "Farms"

Нижче наведено базовий запит GraphQL, що використовується для отримання всіх «Ферм», доступних користувачу:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    назва
    farmOwnership
    externalKey
    ownerEmail
    датаСтворення
    updatedDate
  }
}
```

{% endcode %}

На додаток до інших параметрів, ви можете використовувати `farmUuids` та `externalKeys` фільтри для налаштування відповіді. Ці фільтри можна застосовувати незалежно або в комбінації, що дозволяє більш цілеспрямовано отримувати дані.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    назва
    farmOwnership
    externalKey
    ownerEmail
    датаСтворення
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/86.-zapit-otrimati-farms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
